import * as lsp from 'vscode-languageserver';
import { LspDocument } from './document.js';
import { TspClient } from './tsp-client.js';
import { tsp, SupportedFeatures } from './ts-protocol.js';
import { IFilePathToResourceConverter } from './utils/previewer.js';
import type { WorkspaceConfigurationCompletionOptions } from './configuration-manager.js';
export declare function asCompletionItem(entry: tsp.CompletionEntry, optionalReplacementSpan: tsp.TextSpan | undefined, file: string, position: lsp.Position, document: LspDocument, filePathConverter: IFilePathToResourceConverter, options: WorkspaceConfigurationCompletionOptions, features: SupportedFeatures): lsp.CompletionItem | null;
export declare function asResolvedCompletionItem(item: lsp.CompletionItem, details: tsp.CompletionEntryDetails, document: LspDocument | undefined, client: TspClient, filePathConverter: IFilePathToResourceConverter, options: WorkspaceConfigurationCompletionOptions, features: SupportedFeatures): Promise<lsp.CompletionItem>;
export declare function getCompletionTriggerCharacter(character: string | undefined): tsp.CompletionsTriggerCharacter | undefined;
//# sourceMappingURL=completion.d.ts.map